SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Bugs Let Remote Users Execute Arbitrary Code, Bypass Same-Origin Restrictions, and Spoof URLs
SecurityTracker Alert ID:  1032375
SecurityTracker URL:  http://securitytracker.com/id/1032375
CVE Reference:   CVE-2015-1251, CVE-2015-1252, CVE-2015-1253, CVE-2015-1254, CVE-2015-1255, CVE-2015-1256, CVE-2015-1257, CVE-2015-1258, CVE-2015-1259, CVE-2015-1260, CVE-2015-1261, CVE-2015-1262, CVE-2015-1263, CVE-2015-1264, CVE-2015-1265   (Links to External Site)
Date:  May 21 2015
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 43.0.2357.65
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can conduct cross-site scripting attacks. A remote user can spoof URLs. A remote user can bypass security controls on the target system.

A remote user can create specially crafted content that, when loaded by the target user, will trigger a memory corruption error and execute arbitrary code on the target system.

A use-after-free may occur in WebAudio [CVE-2015-1255].

A use-after-free may occur in SVG [CVE-2015-1256].

A use-after-free may occur in Speech [CVE-2015-1251].

A container overflow may occur in SVG [CVE-2015-1257].

A negative-size parameter may be allowed in Libvpx [CVE-2015-1258].

A use-after-free may occur in WebRTC [CVE-2015-1260].

A remote user can spoof the URL bar [CVE-2015-1261].

An uninitialized value may occur in Blink [CVE-2015-1262]. The impact was not specified.

An uninitialized value may occur in PDFium [CVE-2015-1259]. The impact was not specified.

A remote user can escape the sandbox to gain elevated privileges [CVE-2015-1252].

The system may insecurely download the spellcheck dictionary [CVE-2015-1263].

The bookmarks feature does not properly validate user-supplied input. A remote user can conduct cross-site scripting attacks [CVE-2015-1264].

A remote user can bypass same-origin restrictions in DOM [CVE-2015-1253].

A remote user can bypass same-origin restrictions in Editing [CVE-2015-1254].

Some additional vulnerabilities exist [CVE-2015-1265].

anonymous, miaubiz, Juho Nurminen, Khalil Zhani, Atte Kettunen of OUSPG, cloudfuzzer, SkyLined (via HP's Zero Day Initiative), Mike Ruddy, Armin Razmdjou, and K0r3Ph1L reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can access the target user's cookies (including authentication cookies), if any, associated with an arbitrary site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A remote user can spoof URLs in the address bar.

Solution:   The vendor has issued a fix (43.0.2357.65).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2015/05/stable-channel-update_19.html

Vendor URL:  googlechromereleases.blogspot.com/2015/05/stable-channel-update_19.html (Links to External Site)
Cause:   Access control error, Boundary error, Input validation error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC